Package com.mckoi.database

## Class Transaction.CheckExpression

- java.lang.Object
- - com.mckoi.database.Transaction.CheckExpression

Enclosing class:
  Transaction

    public static class Transaction.CheckExpression
    extends java.lang.Object

Represents a constraint expression to check.

### Field Summary

Fields
`short` `deferred` Whether this is deferred or initially immediate.
`Expression` `expression` The expression to check.
`java.lang.String` `name` The name of the check expression (the constraint name).

### Constructor Summary

Constructors
`CheckExpression()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

The name of the check expression (the constraint name).

#### expression

    public Expression expression

The expression to check.

#### deferred

    public short deferred

Whether this is deferred or initially immediate.

### Constructor Detail

#### CheckExpression

    public CheckExpression()